Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionToolBar.ToolBarFeature

    java.lang.Object
      java.lang.Enum<QStyleOptionToolBar.ToolBarFeature>
          com.trolltech.qt.gui.QStyleOptionToolBar.ToolBarFeature

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionToolBar.ToolBarFeature>

Enclosing class:
  QStyleOptionToolBar

    public static enum QStyleOptionToolBar.ToolBarFeature

extends java.lang.Enum<QStyleOptionToolBar.ToolBarFeature>
implements QtEnumerator

This enum is used to describe whether a toolbar is movable or not.

See Also:
  features, `QToolBar::isMovable`

Enum Constant Summary
`Movable` The toolbar is movable, and a handle will appear when holding the cursor over the toolbar's boundary.
`None` The toolbar cannot be moved.

Method Summary
`static QStyleOptionToolBar.ToolBarFeatures` | `createQFlags(QStyleOptionToolBar.ToolBarFeature... values)`
`static QStyleOptionToolBar.ToolBarFeature` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionToolBar.ToolBarFeature` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionToolBar.ToolBarFeature[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final QStyleOptionToolBar.ToolBarFeature None

  The toolbar cannot be moved. The default value.

### Movable

    public static final QStyleOptionToolBar.ToolBarFeature Movable

  The toolbar is movable, and a handle will appear when holding the cursor over the toolbar's boundary.

Method Detail

### values

    public static final QStyleOptionToolBar.ToolBarFeature[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionToolBar.ToolBarFeature c : QStyleOptionToolBar.ToolBarFeature.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionToolBar.ToolBarFeature valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QStyleOptionToolBar.ToolBarFeatures createQFlags(QStyleOptionToolBar.ToolBarFeature... values)

### resolve

    public static QStyleOptionToolBar.ToolBarFeature resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD